{domain, ...}: {
  options.weinturm = {
  };

  imports = [
    ./cli-tools.nix
    ./fish.nix
    ./impermanence.nix
    ./networking.nix
    ./nix.nix
    ./security.nix
    ./sshd.nix
    ./zram.nix
  ];

  config = {
    networking.domain = domain;
  };
}
